**OneBank3** is the latest in a long line of bank bag replacements for the default bank bags that will combine all of your bags into one frame.

OneBag has a long history of minimalism and OneBank3 will continue to uphold the standard of easy of use and simplicity it's predecessors set.  Like the earlier versions OneBank will continue to offer powerful options for those who wish to delve a little deeper.

Also in the vein of earlier iterations I've kept to the philosophy of doing as little work as possible, as a result the code base is very small, and most of it is in the OneCore library.  As of the time of writing there are only 365 lines of code unique to OneBank3, and only 1804 lines of code in OneCore itself.  LoC is a horrible stat in general, but it's fun none the less, and I cheat horribly since I build off the powerful [[http://www.wowace.com/projects/Ace3|Ace3 libraries]].

## Features
* **Now with Search**
* **Can now run completely independent of OneBag3**
* Combines all of your bank bags into one.
* Customizable number of columns.
* Inherent support for addons that interact with the default bags.
* Color coded slots by item rarity or bag type.
* Allows only certain bags to be displayed, either by slot or type.
* Custom bag bar which will highlight it's associated slots on mouseover.  This highlighting can be locked in place by clicking.
* Integrated purchasing of bag slots.
* Customizable scale, background color, alpha, and more.
* Clean and powerful graphical configuration.
* Full support for the Reagent Bank
* Exposes WoW's built in bag sorting

## Search Syntax

Search inside of OneBank3 is powered by the [[https://github.com/Jaliborc/LibItemSearch-1.2|LibItemSearch library by Jalibroc]].  As a result it supports many advanced search options.

**Advanced Filters**:

* **Quality**: q:[quality] or quality:[quality]. Example: q:epic
* **Level**: l:[level], lvl:[level] or level:[quality].  Example lvl:30
* **Type** or **Subtype**: t:[search], type:[search] or slot:[search]. Example t:weapon
* **Name**: n:[name] or name:[name]. Example: n:lockbox
* **Sets**: s:[set] or set:[set]. Example: s:fire
* **Tooltip Info**: tt:[term], tip:[term] or tooltip:[term]. Example: tt:binds

**Search Operators**

* **Logical NOT**: "!q:epic" matches items that are NOT epic.
* **Logical OR**: "q:epic | q:rare" matches items that are either epic OR rare.
* **Logical AND**: "q:epic & t:weapon" matches items that are epic AND weapons.
* **Greater Than**: "lvl: > 30" matches items that are higher than level 30.
* **Less Than**: "lvl: < 30" matches items that are less than level 30.
* **Greater or Equal to**: "lvl: => 30" matches items that are lvl 30 or greater.
* **Lesser or Equal to**: "lvl: <= 30" matches items that are lvl 30 or less.

**Special Keywords**

* **soulbound**, **bound**, **bop** - Bind on pickup items.
* **bou** - Bind on use items.
* **boe** - Bind on equip items.
* **boa** - Bind on account items.
* **quest** - Quest bound items.

===The Family
; OneCore
: The brains and the brawn of the outfit, Core does all the heavy lifting both logic and layout wise.  This is embedded in OneBag by default, and you shouldn't need to worry about installing it unless you're running no-lib builds.
: [[http://www.wowace.com/projects/OneCore|On WowAce]]
: [[http://wow.curse.com/downloads/wow-addons/details/onecore.aspx|On Curse]]
; OneBag3
: OneBank's adventurous brother who didn't mind being dragged through a dank swamp, Bag does pretty much the exact same job for your character's bag as OneBank3 does for your bank bags.
: [[http://www.wowace.com/projects/OneBag3|On WowAce]]
: [[http://wow.curse.com/downloads/wow-addons/details/onebag3.aspx|On Curse]]

===Localization
Localization is powered by WowAce's translation system. Please use the following links
to contribute to localization.  As of writing, this table shows the most recent status  
for the OneBag3 Suite.

|       Project | deDE  | esES | esMX | frFR | itIT | koKR | ptBR | ruRU | zhCN | zhTW |
|--------------:|:-----:|:----:|:----:|:----:|:----:|:----:|:----:|:----:|:----:|:----:|
|  [OneCore][1] | 14 NR | 100% | 5 NR | 100% |  0%  | 100% |  0%  | 100% | 100% | 100% |
|  [OneBag3][2] | 100%  | 100% | 100% | 100% | 4 NR | 100% |  0%  | 100% | 100% | 100% |
| [OneBank3][3] | 10 NR | 85%  | 85%  | 85%  | 90%  | 100% |  5%  | 3 NR | 100% | 100% |

I want to thank all the users who've been using OneBag and OneBank for so long.